const baseUrl = window.location.protocol+"//"+window.location.hostname+"/"+window.folderName;
const image_baseUrl =  process.env.MIX_STORAGE_PATH;
export default {
  api_url: baseUrl + 'api/',
  base_folder: "/"+window.folderName,//'/folder/', // put base folder path here
  appurl: baseUrl,
  media_path: baseUrl + 'public/',
  // foodicon: image_baseUrl + 'media/foodapp/original/',


  orderWebDefaultUrl: '.'+process.env.MIX_SUB_URL,
  // orderWebDefaultUrl: '.test',

  mastermenuicon: image_baseUrl + 'media/Master_Menu_Icon_image/original/',

  no_image: baseUrl + '/images/no-img.png',

  basepath: baseUrl + 'images/',

  coupon: image_baseUrl + 'media/Coupon/',

  applogo: image_baseUrl + 'media/foodapp/original/'+window.applogo,
  
  google_key: window.google_map_key,

  permissions: {
    dashboard_read: "Dashboard Read",
    order_read: "Order Read",
    order_write: "Order Write",
    dashboard_driver_read: "Dashboard Driver Read",
    eagle_view_read: "Eagle view Read",
    merchant_read: "Merchant Read",
    merchant_write: "Merchant Write",
    driver_read: "Driver Read",
    driver_write: "Driver Write",
    customer_read: "Customer Read",
    customer_write: "Customer Write",
    location_read: "Location Read",
    location_write: "Location Write",
    delivery_zone_read: "Delivery Zone Read",
    delivery_zone_write: "Delivery Zone Write",
    promo_code_read: "Promo Code Read",
    promo_code_write: "Promo Code Write",
    banner_read: "Banner Read",
    banner_write: "Banner Write",
    vendor_finance_read: "Vendor Finance Read",
    vendor_finance_write: "Vendor Finance Write",
    driver_finance_read: "Driver Finance Read",
    driver_finance_write: "Driver Finance Write",
    reports_read: "Reports Read",
    reports_write: "Reports Write",
    category_read: "Category Read",
    category_write: "Category Write",
    cuisine_read: "Cuisine Read",
    cuisine_write: "Cuisine Write",
    content_pages_read: "Content Pages Read",
    content_pages_write: "Content Pages Write",
    faq_read: "FAQ Read",
    faq_write: "FAQ Write",
    configuration_read: "Configuration Read",
    configuration_write: "Configuration Write",
    layout_read: "Layout Read",
    layout_write: "Layout Write",
    user_access_read: "User & Access Read",
    user_access_write: "User & Access Write",
    terminology_read: "Terminology Read",
    terminology_write: "Terminology Write",
    logs_read: "Logs Read",
    logs_write: "Logs Write",
    call_center_read: "Call Center Read",
    call_center_write: "Call Center Write",
    web_layout_read: "Web Layout Read",
    web_layout_write: "Web Layout Write",
    analytics_read: "Analytics Read",
    analytics_write: "Analytics Write",
    email_template_read: "Email Template Read",
    email_template_write: "Email Template Write",
    brand_managment_read:"Brand Managment Read",
    brand_managment_write:"Brand Managment Write",
    sales_channel_read:"Sales Channel Read",
    sales_channel_write:"Sales Channel Write",
    chat_read: "Chat Read",
    chat_write: "Chat Write",
    tag_read : "Tag Read",
    tag_write : "Tag Write",
    send_notification_read: "Send Notification Read",
    send_notification_write: "Send Notification Write",
    menu_read: "Menu Read",
    menu_write: "Menu Write",
    profile_read: "Profile Read",
    profile_write: "Profile Write",
    outlet_read: "Outlet Read",
    outlet_write: "Outlet Write",
    setting_read: "Setting Read",
    setting_Write: "Setting Write",
    addon_integration_read: "Addon Integration Read",
    addon_integration_write: "Addon Integration Write",
    content_page_write:"Content Pages Write",
    content_page_read:"Content Pages Read"
  },
  default_time_options: [
    { value: '0', text: 'Today' },
    { value: '1', text: 'Yesterday' },
    { value: '6', text: 'Last 7 Days' },
    { value: '29', text: 'Last 30 Days' },
    { value: '365', text: 'This year' },
    { value: '101', text: 'Last month' },
  ],
  
  default_notification_sounds: [
    { value: 'public/sounds/notification.mp3', text: 'Sound 1' },
    { value: 'public/sounds/notification-2.mp3', text: 'Sound 2' },
    { value: 'public/sounds/notification-3.mp3', text: 'Sound 3' },
  ]


}
